> For the complete documentation index, see [llms.txt](https://docs.varbase.vardot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/core-components/varbase-layout-builder/varbase-rich-text-block.md).

# Varbase Rich Text Block

A rich text block contains a title and a body with a rich text format.

## Varbase Rich Text Block Module

{% hint style="info" %}
Varbase rich text block features are bundled through the **Varbase Rich Text Block** module as part of the **Varbase Layout Builder** module.

GitHub: <https://github.com/Vardot/varbase_layout_builder>\
Drupal.org: <https://www.drupal.org/project/varbase_layout_builder>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Rich Text Block** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_layout_builder
                |-- modules
                    |-- varbase_rich_text_block
```

Brings in the following core and contributed modules to your site:

| Module                                                                | Purpose                                                                                                                                      |
| --------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><strong>Block</strong></p><p><em>(in Drupal core)</em></p>         | Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page. |
| <p><strong>Block Content</strong></p><p><em>(in Drupal core)</em></p> | Allows the creation of custom blocks and block types.                                                                                        |
| <p><strong>Text</strong></p><p><em>(in Drupal core)</em></p>          | Defines simple text field types.                                                                                                             |
| <p><strong>Field</strong></p><p><em>(in Drupal core)</em></p>         | Field API to add fields to entities like nodes and users.                                                                                    |
| <p><strong>User</strong></p><p><em>(in Drupal core)</em></p>          | Manages the user registration and login system.                                                                                              |
| <p><strong>Options</strong></p><p><em>(in Drupal core)</em></p>       | Defines selection, check box and radio button widgets for text and numeric fields.                                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.varbase.vardot.com/9.0.x/developers/understanding-varbase/core-components/varbase-layout-builder/varbase-rich-text-block.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
